summaryrefslogtreecommitdiff
path: root/Master/xemtex/gslib/ps2ascii
diff options
context:
space:
mode:
Diffstat (limited to 'Master/xemtex/gslib/ps2ascii')
-rw-r--r--Master/xemtex/gslib/ps2ascii18
1 files changed, 18 insertions, 0 deletions
diff --git a/Master/xemtex/gslib/ps2ascii b/Master/xemtex/gslib/ps2ascii
new file mode 100644
index 00000000000..7e285b12e6a
--- /dev/null
+++ b/Master/xemtex/gslib/ps2ascii
@@ -0,0 +1,18 @@
+#!/bin/sh
+# $Id: ps2ascii,v 1.3 2001/06/22 16:09:22 lpd Exp $
+# Extract ASCII text from a PostScript file. Usage:
+# ps2ascii [infile.ps [outfile.txt]]
+# If outfile is omitted, output goes to stdout.
+# If both infile and outfile are omitted, ps2ascii acts as a filter,
+# reading from stdin and writing on stdout.
+
+trap "rm -f _temp_.err _temp_.out" 0 1 2 15
+
+OPTIONS="-q -dNODISPLAY -dSAFER -dNOBIND -dWRITESYSTEMDICT -dSIMPLE"
+if ( test $# -eq 0 ) then
+ gs $OPTIONS -c save -f ps2ascii.ps - -c quit
+elif ( test $# -eq 1 ) then
+ gs $OPTIONS -c save -f ps2ascii.ps "$1" -c quit
+else
+ gs $OPTIONS -c save -f ps2ascii.ps "$1" -c quit >"$2"
+fi